<?php namespace App\Models;

class GoldContentModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT gc_id as "id", gc_code as "code", gc_name as "name", gc_multiplier as "multiplier", gc_insert_at as "insert_at" ';

        $query .= ' FROM gold_contents
            WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' AND gc_active=1 ';

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];

        else
            $query .= ' GROUP BY gc_id ';


        if(!empty($param['orderBy']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function getByCode($code){
        $param = array(
            'where' => ' AND gc_active="1" AND gc_code="'.$code.'" ',
        );
        $result = $this->getAll($param);
        
        return $result;
    }

    public function getByID($gcID){
        $gc = $this->db->table('gold_contents');
        $gc->select('gc_id as "id", gc_code as "code", gc_name as "name", gc_multiplier as "multiplier", gc_insert_at as "insert_at" ');
        $gc->where('gc_id', $gcID);
        $gc->where('gc_active', 1);

        $result = $gc->get()->getRow();

        return $result;
    }

    public function addGoldContent($data){
        $gc = $this->db->table('gold_contents');
        $gc->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function addGoldContentHistory($data){
        $gc = $this->db->table('gold_content_histories');
        $gc->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function updateGoldContent($data, $gcID){

        $this->db->table('gold_contents')->where('gc_id',$gcID)->update($data);
        $param = array(
            'where' => ' AND gc_id="'.$gcID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

    public function deleteGoldContent($gcID, $deleteAdminID ){
        $data = [
            'gc_delete_at'       => getCurrentTime(),
            'gc_delete_admin_id' => $deleteAdminID,
            'gc_active'          => 0
        ];

        $this->db->table('gold_contents')->where('gc_id',$gcID)->update($data);
        $param = array(
            'where' => ' AND gc_id="'.$gcID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

}