<?php namespace App\Models;

class GoldTypeModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT gt_id as "id", gt_code as "code", gt_name as "name",  gt_insert_at as "insert_at" ';

        $query .= ' FROM gold_types
            WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' AND gt_active=1 ';

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];

        else
            $query .= ' GROUP BY gt_id ';


        if(!empty($param['orderBy']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function getByCode($code){
        $param = array(
            'where' => ' AND gt_active="1" AND gt_code="'.$code.'" ',
        );
        $result = $this->getAll($param);
        
        return $result;
    }

    public function getByID($goldTypeID){
        $goldType = $this->db->table('gold_types');
        $goldType->select('gt_id as "id", gt_code as "code", gt_name as "name", gt_insert_at as "insert_at" ');
        $goldType->where('gt_id', $goldTypeID);
        $goldType->where('gt_active', 1);

        $result = $goldType->get()->getRow();

        return $result;
    }

    public function addGoldType($data){
        $goldType = $this->db->table('gold_types');
        $goldType->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function updateGoldType($data, $goldTypeID){

        $this->db->table('gold_types')->where('gt_id',$goldTypeID)->update($data);
        $param = array(
            'where' => ' AND gt_id="'.$goldTypeID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

    public function deleteGoldType($goldTypeID, $deleteAdminID ){
        $data = [
            'gt_delete_at'       => getCurrentTime(),
            'gt_delete_admin_id' => $deleteAdminID,
            'gt_active'          => 0
        ];

        $this->db->table('gold_types')->where('gt_id',$goldTypeID)->update($data);
        $param = array(
            'where' => ' AND gt_id="'.$goldTypeID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

}