<?php namespace App\Models;

class ItemMaterialModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else

            $query = 'SELECT im_id as "id", im_source as "source", im_required_to_check as "required_to_check", im_item_id as "item_id", im_name as "name", im_quantity as "quantity", im_insert_at as "insert_at", im_insert_admin_id as "insert_admin_id", im_update_at as "update_at", im_update_admin_id as "update_admin_id", im_delete_at as "delete_at", im_delete_admin_id as "delete_admin_id", im_active as "active"  ';

        $query .= ' FROM item_materials
            WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' AND im_active=1 ';

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];

        else
            $query .= ' GROUP BY im_id ';

        if(!empty($param['orderby']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY im_id ASC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function getByID($imID){

        $param = [
            'where' => ' AND im_id="'.$imID.'" AND item_active=1' 
        ];
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
    }


    public function addItemMaterial($data){
        $item_materials = $this->db->table('item_materials');
        $item_materials->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function addItemMaterialBulk($data){
        $orders = $this->db->table('item_materials');
        $orders->insertBatch($data);

        return $data;
    }

    public function updateItemMaterial($data, $imID){

        $this->db->table('item_materials')->where('im_id',$imID)->update($data);
        $param = array(
            'where' => ' AND item_id="'.$imID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
    }

    public function deleteItemMaterial($imID, $deleteAdminID ){
        $data = [
            'im_delete_at'       => getCurrentTime(),
            'im_delete_admin_id' => $deleteAdminID,
            'im_active'          => 0
        ];

        $this->db->table('item_materials')->where('im_id',$imID)->update($data);
        $param = array(
            'where' => ' AND item_id="'.$imID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

    public function deleteItemMaterialByItem($itemID, $deleteAdminID ){
        $data = [
            'im_delete_at'       => getCurrentTime(),
            'im_delete_admin_id' => $deleteAdminID,
            'im_active'          => 0
        ];

        $this->db->table('item_materials')->where('im_item_id',$itemID)->update($data);
        $param = array(
            'where' => ' AND im_item_id="'.$itemID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

}