<?php namespace App\Models;

class OutgoingNoteModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT on_id as "id", on_notes as "notes", on_task_id as "task_id", on_date as "date", on_start_date as "start_date", on_end_date as "end_date", on_remark as "remark", on_total_quantity as "total_quantity", on_total_weight as "total_weight", on_status as "status", on_insert_at as "insert_at", on_insert_admin_id as "insert_admin_id", on_update_at as "update_at", on_update_admin_id as "update_admin_id", on_delete_at as "delete_at", on_delete_admin_id as "delete_admin_id", on_active as "active", task_name as "task_name", admin_fullname as "insert_admin_fullname" ';

        $query .= ' FROM outgoing_notes
                    LEFT JOIN tasks ON outgoing_notes.on_task_id=tasks.task_id
                    LEFT JOIN admins ON admins.admin_id=outgoing_notes.on_insert_admin_id
        WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' AND on_active=1 ';

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];
        else
            $query .= ' GROUP BY on_id ';

        if(!empty($param['orderby']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

     public function getByNota($nota){
        $param = array(
            'where' => ' AND on_active="1" AND on_note="'.$nota.'" ',
        );
        $result = $this->getAll($param);
        return $result;
    }

    public function getByID($outgoingNoteID){
        $param['where'] = ' AND on_id='.$outgoingNoteID.' AND on_active=1 ';
        $result = $this->getAll($param);
        return $result[0];
    }

    public function addOutgoingNote($data){
        $outgoingNote = $this->db->table('outgoing_notes');
        $outgoingNote->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function addOutgoingNoteBulk($data){
        $outgoingNote = $this->db->table('outgoing_notes');
        $outgoingNote->insertBatch($data);

        return $data;
    }

    public function updateOutgoingNote($data, $outgoingNoteID){

        $this->db->table('outgoing_notes')->where('on_id',$outgoingNoteID)->update($data);
        $param = array(
            'where' => ' AND on_id="'.$outgoingNoteID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

    public function deleteOutgoingNote($outgoingNoteID, $deleteAdminID ){
        $data = [
            'on_delete_at'       => getCurrentTime(),
            'on_delete_admin_id' => $deleteAdminID,
            'on_active'          => 0,
            'on_status'          => 'Deleted',
        ];

        $this->db->table('outgoing_notes')->where('on_id',$outgoingNoteID)->update($data);
        $param = array(
            'where' => ' AND on_id="'.$outgoingNoteID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }


    public function setNota(){
        $query = "SELECT COALESCE(count(*),0) as 'total' FROM outgoing_notes WHERE YEAR(on_date)='".date('Y')."' AND  MONTH(on_date)='".date('m')."' ";

        return $this->db->query($query)->getResult();
    }

}