<?= $this->extend('common/main_admin_view') ?>

<?= $this->section('content') ?>
<!--begin::Content-->
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
	<!--begin::Toolbar-->
	<div class="toolbar" id="kt_toolbar">
		<!--begin::Container-->
		<div id="kt_toolbar_container" class="container-fluid d-flex flex-stack">
			<!--begin::Page title-->
			<div data-kt-swapper="true" data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_content_container', 'lg': '#kt_toolbar_container'}" class="page-title d-flex align-items-center flex-wrap me-3 mb-5 mb-lg-0">
				<!--begin::Title-->
				<h1 class="d-flex align-items-center text-dark fw-bolder my-1 fs-3"><?= @$title ?>
				<!--end::Description--></h1>
				<!--end::Title-->
			</div>
			<!--end::Page title-->
			<!--begin::Actions-->
			<div class="d-flex align-items-center py-1">
				<!--end::Button-->
			</div>
			<!--end::Actions-->
		</div>
		<!--end::Container-->
	</div>
	<!--end::Toolbar-->
	<!--begin::Post-->
	<div class="post d-flex flex-column-fluid" id="kt_post">
		<!--begin::Container-->
		<div id="kt_content_container" class="container">
			<?php 

			$numberWeight = 0;
			$numberQuantity = 0;

			?>
			<div class="accordion-item">
			    <h2 class="accordion-header" id="kt_accordion_1_header">
			        <button class="accordion-button fs-4 fw-bold" type="button" data-bs-toggle="collapse" data-bs-target="#kt_accordion_1_body" aria-expanded="false" aria-controls="kt_accordion_1_body">
			           <?= $data->task_name ?> 
			           [ Status : <?= $data->status ?> ] 

			           <?php if ($data->is_repaired == 1 ): ?>
			           	[ REPAIRED ]
			           <?php endif ?>
			        </button>
			    </h2>
			    <div id="kt_accordion_1_body" class="accordion-collapse" aria-labelledby="kt_accordion_1_header" data-bs-parent="#kt_accordion_1">
			        <div class="accordion-body">
				        <form class="form mx-auto submit-2" action="">
				           <div class="row">
				        		<div class="col-md-6 px-8">
				        			<?php 
				        			// $readonly = '';
					           		// $formsolid = '';
					           		// if ($data->status == 'New' || $data->status == 'Completed') {
					           		// 	$readonly = 'readonly';
					           		// 	$formsolid = '';
					           		// }

				        			$input_fields = json_decode($data->input_fields);
				        			if (isset($input_fields)) {

				        			foreach ($input_fields as $key2 => $value2): 
				        			?>
				        				<div class="form-group mt-4">
							           		<label><?= $value2->field_name ?></label>

							           		<?php 
							           		$type = '';
							           		$step = '';

							           		if ($value2->options == 'weight' && $data->status_field == 'input' && $data->status == 'Proses' ) {
					        					$answer = ($value2->answer != '')? $value2->answer : $resultWeight;
					        				} else if ($value2->options == 'quantity' && $data->status_field == 'input' && $data->status == 'Proses') {
					        					$answer = ($value2->answer != '')? $value2->answer : $resultQuantity;
					        				}else{
					        					$answer = $value2->answer;
					        				}

							           		if ($value2->datatype == 'Integer') { 
							           			$type = 'number';
							           			// $step = 'step="any"';
							           		} else if ($value2->datatype == 'Decimal'){
							           			$type = 'number';
							           			$step = 'step="any"';
							           		} else if ($value2->datatype == 'Datetime'){
							           			$type = 'datetime-local';
							           			if ($answer == '') {
							           				$answer = ( $data->status_field == 'input' && $data->status == 'Proses' )? date('Y-m-d H:i:s'): '';
							           			}
							           		} else if ($value2->datatype == 'Text'){
							           			$type = 'text';
							           		}
							           		?>

							           		<?php 
							           		$class = '';
							           		if ($value2->options == 'weight'): 
							           			$numberWeight += 1;
							           			$class = 'number-weight-'.$numberWeight;
							           		?>
							           		<?php elseif($value2->options == 'quantity'): 
							           			$numberQuantity += 1;
							           			$class = 'number-quantity-'.$numberQuantity;
							           		?>
							           		<?php endif ?>

							           		<input type="<?= $type ?>" <?= $step ?> class="form-control <?= $class ?> mt-1" value="<?= $answer ?>" name="input_fields[<?= $key2 ?>]">


							           		<?php 

							           		if ($value2->options == 'weight') {
					        					$resultWeight = $answer;
					        				} else if ($value2->options == 'quantity') {
					        					$resultQuantity = $answer;
					        				}

							           		?>

							           	</div>
				        			<?php 
				        				endforeach; 
				        			}
				        			?>
				           </div>
				           <div class="col-md-6 px-8">
				           		<?php 
				        			$output_fields = json_decode($data->output_fields);
				        			if (isset($output_fields)) {
				        			foreach ($output_fields as $key2 => $value2): ?>
				        				<div class="form-group mt-4">
							           		<label><?= $value2->field_name ?></label>

							           		<?php 
							           		$type = '';
							           		$step = '';

							           		if ($value2->options == 'weight' && $data->status_field == 'output' && $data->status == 'Proses') {
					        					$answer = ($value2->answer != '')? $value2->answer : $resultWeight;
					        				} else if ($value2->options == 'quantity' && $data->status_field == 'output' && $data->status == 'Proses') {
					        					$answer = ($value2->answer != '')? $value2->answer : $resultQuantity;
					        				}else{
					        					$answer = $value2->answer;
					        				}

							           		if ($value2->datatype == 'Integer') { 
							           			$type = 'number';
							           			// $step = 'step="any"';
							           		} else if ($value2->datatype == 'Decimal'){
							           			$step = 'step="any"';
							           			$type = 'number';
							           		} else if ($value2->datatype == 'Datetime'){
							           			$type = 'datetime-local';
							           			if ($answer == '') {
							           				$answer = ( $data->status_field == 'output' && $data->status == 'Proses' )? date('Y-m-d H:i:s'): '';
							           			}
							           		} else if ($value2->datatype == 'Text'){
							           			$type = 'text';
							           		}
							           		?>

							           		

							           		<?php 

							           		$class = '';
							           		$dataCss = '';
							           		$diffHtml = '';

							           		if ($value2->options == 'weight'): 
							           			$numberWeight += 1;
							           			$class = 'value-weight';
							           			$dataCss = 'data-weight="'.$numberWeight.'" ';
							           			$diffHtml = '<small class="text-primary number-weight-'.$numberWeight.'">Selisih : '.(floatval($resultWeight)-floatval($answer) ).'</small>';
							           		?>
							           			
							           		<?php elseif($value2->options == 'quantity'): 
							           			$numberQuantity += 1;
							           			$class = 'value-quantity';
							           			$dataCss = 'data-quantity="'.$numberQuantity.'" ';
							           			$diffHtml = '<small class="text-primary number-quantity-'.$numberQuantity.'">Selisih : '.(floatval($resultQuantity)-floatval($answer) ).'</small>';
							           		?>
							           			
							           		<?php endif ?>

							           		<input type="<?= $type ?>" <?= $dataCss ?> <?= $step ?> class="form-control mt-1 <?= $class ?>" value="<?= $answer ?>" name="output_fields[<?= $key2 ?>]">

							           		<?php if ($data->status_field == 'output' && $data->status == 'Proses' && $data->erp_barcode != ''): ?>
							           			<?= $diffHtml ?>
							           		<?php endif ?>

							           		<?php  
							           		if ($value2->options == 'weight') {
					        					$resultWeight = $answer;
					        				} else if ($value2->options == 'quantity') {
					        					$resultQuantity = $answer;
					        				}
							           		?>

							           	</div>
				        			<?php 
				        				endforeach; 
				        			}
				        			?>
						           	<button type="submit" class="btn btn-primary button mt-3">Simpan</button>
				           		</div>
				        	</div>
						</form>
				        <div class="d-flex flex-stack mt-5">
				        </div>
					</div>
			    </div>
			</div>
		</div>
	</div>
<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="text/javascript">
	$('.submit-2').submit(function(e){    
    e.preventDefault(); 

    if (!confirm("Yakin untuk melakukan edit?")) {
    	return;
    }

    var data = new FormData(this);
    var thisData = $(this).find('.button');
    var btn = thisData.html();
    
    $.ajax({
          type : 'post',
          url : $(this).attr('action'),
          data : data,
          dataType : 'JSON',
          processData: false,
          contentType: false,
          beforeSend : function(){
           thisData.attr('data-kt-indicator', 'on');
           thisData.attr('disabled', '');
           thisData.html('<span class="indicator-progress">\
                        Please wait... <span class="spinner-border spinner-border-sm align-middle ms-2"></span>\
                    </span>');
          },
          complete : function(response){
           thisData.removeAttr('disabled', '');
           thisData.removeAttr('data-kt-indicator');
           thisData.html(btn);
          },
          success: function(response){
             if (response.error) {
              alertToastr('error', response.error);
            }else if(response.success){
              thisData.find('.form-control').val('');
              alertToastr('success', response.success);
            }

            if (response.redirect) {
              if (response.target == '_blank'){
                window.open('<?= base_url() ?>/'+response.redirect, '_blank');
              }else{
                window.location.href = '<?= base_url() ?>/'+response.redirect
              }
            }else if(response.reload){
              window.location.href = ''
            }else if(response.modal_close){
              $(response.modal_close).modal('hide');
            }


            $('#kt_datatable').DataTable().ajax.reload();
          },
          error: function (xhr, ajaxOptions, thrownError){
            console.log(xhr.status + "\n"+ xhr.responseText+"\n"+thrownError)
          }

        });
});
</script>
<?= $this->endSection() ?>