<!DOCTYPE html>
<html>
<head>
	<title>Nota</title>
	<style type="text/css">
		body {
			font-family: sans-serif;
			font-size: 11px;
		}
		.table1 {
		    font-family: sans-serif;
		    color: #232323;
		    border-collapse: collapse;
		}
		 
		.table1, .table1 th, .table1 td {
		    border: 1px solid #999;
		}

		.table1 th, .table1 td {
		    border: 1px solid #999;
		    padding: 8px 20px;
		}

		@media print {
		    .pagebreak { page-break-before: always; } /* page-break-after works, as well */
		}
	</style>
</head>
<body width="100%">

	<?php foreach ($data as $key => $value): ?>
		<?php if ($key != 0): ?>
		<div class="pagebreak"></div>	
		<?php endif ?>
	<center>
		<?= @$value['barcode']['barcode'] ?><br>
		<?= @$value['barcode']['text'] ?>
	</center>
	<table style="width:100%">
		<tbody>
			<tr>
				<td>
					<table class="table1" width="100%">
						<tr>
							<td>NOTA</td>
							<td><?= @$value['batch_item']->order_note ?></td>
						</tr>
						<tr>
							<td>SKU</td>
							<td><?= @$value['batch_item']->sku ?></td>
						</tr>
						<tr>
							<td>NAMA</td>
							<td><?= @$value['batch_item']->name ?></td>
						</tr>
					</table>
				</td>
				<td>
					<table class="table1" width="100%">
						<tr>
							<td>TANGGAL ORDER</td>
							<td><?= getTanggal(@$value['batch_item']->order_date) ?></td>
						</tr>
						<tr>
							<td>JATUH TEMPO</td>
							<td><?= getTanggal(@$value['batch_item']->due_date) ?></td>
						</tr>
						<tr>
							<td>BARCODE</td>
							<td><?= @$value['barcode']['text'] ?></td>
						</tr>
					</table>
				</td>
				<td>
					<table class="table1" width="100%">
						<tr>
							<td>NAMA PELANGGAN</td>
							<td><?= @$value['batch_item']->customer_name ?></td>
						</tr>
						<tr>
							<td>ALAMAT</td>
							<td><?= @$value['batch_item']->customer_address ?></td>
						</tr>
						<tr>
							<td>TELP</td>
							<td><?= @$value['batch_item']->customer_phone ?></td>
						</tr>
					</table>
				</td>
			</tr>
		</tbody>
	</table>

	<table style="width:100%">
		<tbody>
			<tr>
				<td align="left" valign="top">
					<table class="table1" style="width:100%">
						<thead>
							<tr>
								<th colspan="6">Material</th>
							</tr>
							<tr>
								<th>No</th>
					            <th>Divisi</th>
					            <th>SKU</th>
					            <th>Nama</th>
					            <th>Jumlah</th>
					            <th>Berat</th>
					            <th>Status</th>
							</tr>
						</thead>
						<tbody>
							<?php 
							foreach (@$value['batch_item_request'] as $key => $val): 
							?>
							<tr>
								<td><?= $key+1 ?></td>
								<td><?= $val->task_name ?></td>
								<td><?= $val->item_sku ?></td>
								<td><?= $val->item_name ?></td>
								<td><?= $val->item_quantity ?></td>
								<td><?= $val->item_weight ?></td>
								<td><?= $val->status ?></td>
							</tr>
							<?php endforeach ?>
							<?php if (empty(@$value['batch_item_request'])): ?>
									<tr>
										<td colspan="6" align="center" height="100%">Kosong</td>
									</tr>
							<?php endif ?>
						</tbody>
					</table>
				</td>
				<td align="left" valign="top">
					<table class="table1" width="100%">
						<tr>
							<td colspan="2">
								<?php 
									if (@$value['batch_item']->image != '') :
									$dataImage = json_decode(@$value['batch_item']->image);
									foreach ($dataImage as $key => $val): ?>
											<img style="width: 100%;height: 100%;" src="<?= getenv('AWS_PATH') ?><?= $val ?>" class="img-fluid">
									<?php 
									endforeach;
									endif; 
								?>
							</td>
						</tr>
						<tr>
							<td rowspan="2" align="left" style="width: 300px">
								NAMA BARANG : <?= @$value['batch_item']->name ?><br> 
								KADAR EMAS : <?= @$value['batch_item']->gc_name ?><br>
								WARNA EMAS : <?= @$value['batch_item']->gt_name ?><br>
								NO MODEL : <?= @$value['batch_item']->print_no ?><br>
								BERAT BARANG JADI : +- <?= @$value['batch_item']->weight ?> GRAM<br>
								UKURAN RING : <?= @$value['batch_item']->size_name ?><br>
								JUMLAH :<?= @$value['batch_item']->quantity ?><br>
								JENIS BATU : <?= @$value['batch_item']->stone_type ?>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</tbody>
	</table>

	<table class="table1" style="width: 100%;">
		<thead>
			<tr>
				<th>PROSES</th>
				<th>QTY AWAL</th>
				<th>Berat AWAL</th>
				<th>QTY AKHIR</th>
				<th>BERAT AKHIR</th>
				<th>MASUK PROSES</th>
				<th>AKHIR PROSES</th>
				<th>PARAF</th>
				<th>OPERATOR</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach (@$value['batch_item_task'] as $key => $val): ?>
			<tr>
				<td><?= $val->task_name ?></td>
				<td><?= $val->input_quantity ?></td>
				<td><?= ifDecimalOrRound($val->input_weight) ?></td>
				<td><?= $val->output_quantity ?></td>
				<td><?= ifDecimalOrRound($val->output_weight) ?></td>
				<td></td>
				<td></td>
				<td></td>
				<td><?= $val->input_operator_name ?></td>
			</tr>
			<?php endforeach ?>
			<?php if (empty(@$value['batch_item_task'])): ?>
			<tr>
				<td colspan="5" height="100%" align="center">Kosong</td>
			</tr>
			<?php endif ?>
		</tbody>
	</table>

	<?php endforeach ?>

	<script type="text/javascript">
        window.print();
        window.onafterprint = back;

        function back() {
            window.close()
        }
    </script>
</body>
</html>