<?= $this->extend('common/main_admin_view') ?>

<?= $this->section('content') ?>
<!--begin::Content-->
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
	<!--begin::Toolbar-->
	<div class="toolbar" id="kt_toolbar">
		<!--begin::Container-->
		<div id="kt_toolbar_container" class="container-fluid d-flex flex-stack">
			<!--begin::Page title-->
			<div data-kt-swapper="true" data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_content_container', 'lg': '#kt_toolbar_container'}" class="page-title d-flex align-items-center flex-wrap me-3 mb-5 mb-lg-0">
				<!--begin::Title-->
				<h1 class="d-flex align-items-center text-dark fw-bolder my-1 fs-3">Detail Order Item
					<!--begin::Separator-->
					<span class="h-20px border-gray-200 border-start ms-3 mx-2"></span>
					<!--end::Separator-->
					<!--end::Description-->
				</h1>
				<!--end::Title-->
			</div>
			<div class="d-flex align-items-center py-1">
				<!--begin::Button-->
				<a href="<?= base_url() ?>/dashboard" class="btn btn-sm btn-secondary" >Kembali</a>
				<!--end::Button-->
			</div>
			<!--end::Page title-->
		</div>
		<!--end::Container-->
	</div>
	<!--end::Toolbar-->
	<!--begin::Post-->
	<div class="post d-flex flex-column-fluid" id="kt_post">
		<!--begin::Container-->
		<div id="kt_content_container" class="container">
			<!--begin::Row-->
			<div class="row">
				<!--begin::Col-->
				<div class="col-md-12">
					<!--begin::List Widget 5-->
					<div class="card mb-5" style="min-height:450px">
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<h5>Identitas Pelanggan</h5>
								</div>
								<div class="col-md-6">
									<table>
										<tr>
											<td>Nama</td>
											<td> &nbsp;&nbsp; :&nbsp;<?= $order_data->customer_name ?></td>
										</tr>
										<tr>
											<td>Alamat</td>
											<td> &nbsp;&nbsp; :&nbsp;<?= $order_data->customer_address ?></td>
										</tr>
										<tr>
											<td>Telp</td>
											<td> &nbsp;&nbsp; :&nbsp;<?= $order_data->customer_phone ?></td>
										</tr>
									</table>
								</div>
								<div class="col-md-6">
									<table>
										<tr>
											<td>Nota</td>
											<td> &nbsp;&nbsp; : &nbsp;<?= $order_data->note ?></td>
										</tr>
										<tr>
											<td>Tanggal Order</td>
											<td> &nbsp;&nbsp; : &nbsp;<?= getTanggal($order_data->date) ?></td>
										</tr>
										<tr>
											<td>Jatuh Tempo</td>
											<td> &nbsp;&nbsp; : &nbsp;<?= getTanggal($order_data->due_date) ?></td>
										</tr>
										<tr>
											<td>Status</td>
											<td> &nbsp;&nbsp; : &nbsp;<?= $order_data->status ?></td>
										</tr>
									</table>
								</div>
							</div>
							<div class="border border-2 mt-4 p-2">
								<div class="row">
									<div class="col-md-6">
										<table>
											<tr>
												<td>SKU</td>
												<td> &nbsp;&nbsp; : &nbsp <?= $order_item_data->sku ?></td>
											</tr>
											<tr>
												<td>Barang</td>
												<td> &nbsp;&nbsp; : &nbsp <?= $order_item_data->name ?></td>
											</tr>
											<tr>
												<td>Jumlah</td>
												<td> &nbsp;&nbsp; : &nbsp <?= $order_item_data->quantity ?></td>
											</tr>
											<tr>
												<td>Berat</td>
												<td> &nbsp;&nbsp; : &nbsp <?= $order_item_data->weight ?></td>
											</tr>
										</table>
									</div>
									<div class="col-md-6">
										<table>
											<tr>
												<td>Kadar Emas</td>
												<td> &nbsp;&nbsp; : &nbsp <?= $order_item_data->gc_name ?></td>
											</tr>
											<tr>
												<td>Warna Emas</td>
												<td> &nbsp;&nbsp; : &nbsp <?= $order_item_data->gt_name ?></td>
											</tr>
											<tr>
												<td>Status</td>
												<td> &nbsp;&nbsp; : &nbsp <?= $order_item_data->order_item_status ?></td>
											</tr>
										</table>
									</div>
								</div>
							</div>

							<div class="border border-2 mt-4 p-2">
								<table class="table table-striped mt-4 table-row-bordered">
								    <thead>
								    	<tr>
								    		<td colspan="3"><h3>Output</h3></td>
								    	</tr>
								        <tr class="text-gray-800">
								            <th class="min-w-100px">Tanggal</th>
								            <th class="min-w-100px">Note</th>
								            <th class="min-w-100px">Barcode</th>
								            <th class="min-w-100px">Jumlah</th>
								            <th class="min-w-100px">Berat</th>
								            <th class="min-w-100px">Keterangan</th>
								        </tr>
								    </thead>
								    <tbody>
								    	<?php foreach ($batch_item_output_data as $key => $value): ?>
							    		<tr>
							    			<td class="px-1"><?= $value->insert_at ?></td>
							    			<td class="px-1"><?= $value->note ?></td>
							    			<td class="px-1"><?= $value->group_note ?></td>
											<td class="px-1"><?= $value->item_quantity ?></td>
											<td class="px-1"><?= $value->item_weight ?></td>
											<td class="px-1"><?= ($value->is_melt == 1)? 'Lebur': ''; ?></td>
										</tr>
								    	<?php endforeach ?>
								    </tbody>
								</table>
							</div>

							<?php foreach ($batch_item_task as $key_ => $val_): ?>
								<table class="table table-row-bordered" style="width: 100%;margin-top: 40px !important;">
									<thead>
										<tr class="<?= (isset($val_[0]->group_note_2))? 'bg-danger' : '' ; ?>">
											<td class="px-1" colspan="12">BARCODE : <?= $key_ ?> 
											<?php if (isset($val_[0]->group_note_2)): ?>
											| REPAIR DARI <?= $val_[0]->group_note_2 ?>
											<?php endif ?>
											</td>
										</tr>
										<tr>
											<th>TANGGAL MULAI</th>
											<th>TANGGAL SELESAI</th>
											<th>PROSES</th>
											<th>QTY AWAL</th>
											<th>QTY AKHIR</th>
											<th>BERAT AWAL</th>
											<th>BERAT AKHIR</th>
											<th>SELISIH QTY</th>
											<th>SELISIH BERAT</th>
											<th>OPERATOR AWAL</th>
											<th>OPERATOR SELESAI</th>										
											<th>STATUS</th>										
										</tr>
									</thead>
									<tbody>
									<?php foreach ($val_ as $key => $val): ?>
										<tr class="<?= ($val->is_repaired == 1)? 'bg-warning' : '' ; ?>">
											<td class="px-1"><?= $val->start_at ?></td>
											<td class="px-1"><?= $val->end_at ?></td>
											<td class="px-1"><?= $val->task_name ?></td>
											<td class="px-1"><?= $val->input_quantity ?></td>
											<td class="px-1"><?= $val->output_quantity ?></td>
											<td class="px-1"><?= $val->input_weight ?></td>
											<td class="px-1"><?= $val->output_weight ?></td>
											<td class="px-1"><?= ($val->status == 'Completed')? ifDecimalOrRound2($val->output_quantity-$val->input_quantity):''; ?></td>
											<td class="px-1"><?= ($val->status == 'Completed')? ifDecimalOrRound2($val->output_weight-$val->input_weight): ''; ?></td>
											<td class="px-1"><?= $val->input_operator_name ?></td>
											<td class="px-1"><?= $val->output_operator_name ?></td>
											<td class="px-1"><?= $val->status ?></td>
										</tr>
									<?php endforeach ?>
								</tbody>
							</table>
								<hr>
						<?php endforeach ?>
						<?php if (empty($batch_item_task)): ?>
						<center>Kosong</center>
						<?php endif ?>
						<!--end::Header-->
						<!--end: Card Body-->
					</div>
					<!--end: List Widget 5-->
				</div>
				<!--end::Col-->
			</div>
			<!--end::Row-->
		</div>
		<!--end::Container-->
	</div>
	<!--end::Post-->
</div>
<!--end::Content-->
<?= $this->endSection() ?>