<?= $this->extend('common/main_admin_view') ?>

<?= $this->section('content') ?>
<!--begin::Content-->
	<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
		<!--begin::Toolbar-->
		<div class="toolbar" id="kt_toolbar">
			<!--begin::Container-->
			<div id="kt_toolbar_container" class="container-fluid d-flex flex-stack">
				<!--begin::Page title-->
				<div data-kt-swapper="true" data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_content_container', 'lg': '#kt_toolbar_container'}" class="page-title d-flex align-items-center flex-wrap me-3 mb-5 mb-lg-0">
					<!--begin::Title-->
					<h1 class="d-flex align-items-center text-dark fw-bolder my-1 fs-3"><?= @$title ?>
					<!--begin::Separator-->
					<span class="h-20px border-gray-200 border-start ms-3 mx-2"></span>
					<!--end::Separator-->
					<!--begin::Description-->
					<small class="text-muted fs-7 fw-bold my-1 ms-1">Tambah</small>
					<!--end::Description--></h1>
					<!--end::Title-->
				</div>
				<!--end::Page title-->
				<!--begin::Actions-->
				<div class="d-flex align-items-center py-1">
					<!--begin::Button-->
					<a href="<?= base_url() ?>/item" class="btn btn-sm btn-secondary" >Kembali</a>
					<!--end::Button-->
				</div>
				<!--end::Actions-->
			</div>
			<!--end::Container-->
		</div>
		<!--end::Toolbar-->
		<!--begin::Post-->
		<div class="post d-flex flex-column-fluid" id="kt_post">
			<!--begin::Container-->
			<div id="kt_content_container" class="container">
				<!--begin::Row-->
				<div class="row gy-5 g-xl-8">
					<!--begin::Col-->
					<div class="col-xxl-12">
						<!--begin::List Widget 5-->
						<div class="card card-xxl-stretch mb-5">
							<div class="card-body">
								<form action="" class="submit">
									<div class="form-group my-3 col-md-7">
										<label>SKU</label>
										<input type="text" name="sku" class="form-control mt-1" placeholder="">
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Nama</label>
										<input type="text" name="name" class="form-control mt-1" placeholder="">
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Alur Kerja</label>
										<select name="workflow_id" class="form-control mt-1" placeholder="">
											<option value="">-- Select --</option>
											<?php foreach ($data_workflow as $key => $value): ?>
												<option value="<?= $value->id ?>"><?= $value->name ?></option>
											<?php endforeach ?>
										</select>
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Kategori</label>
										<select name="category_id" class="form-control mt-1" placeholder="">
											<option value="">-- Select --</option>
											<?php foreach ($data_category as $key => $value): ?>
												<option value="<?= $value->id ?>"><?= $value->name ?></option>
											<?php endforeach ?>
										</select>
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Kadar Emas</label>
										<select name="gc_id" class="form-control mt-1" placeholder="">
											<option value="">-- Select --</option>
											<?php foreach ($data_gold_content as $key => $value): ?>
												<option value="<?= $value->id ?>"><?= $value->name ?></option>
											<?php endforeach ?>
										</select>
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Warna Emas</label>
										<select name="gt_id" class="form-control mt-1" placeholder="">
											<option value="">-- Select --</option>
											<?php foreach ($data_gold_type as $key => $value): ?>
												<option value="<?= $value->id ?>"><?= $value->name ?></option>
											<?php endforeach ?>
										</select>
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Berat</label>
										<input type="text" name="weight" class="form-control mt-1" placeholder="">
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Ukuran</label>
										<select name="size_id" class="form-control mt-1" placeholder="">
											<option value="">-- Select --</option>
											<?php foreach ($data_size as $key => $value): ?>
												<option value="<?= $value->id ?>"><?= $value->name ?></option>
											<?php endforeach ?>
										</select>
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Tipe Batu</label>
										<input type="text" name="stone_type" class="form-control mt-1" placeholder="">
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Pakai Kawat</label>
										<select type="text" name="use_wire" class="form-control mt-1" placeholder="">
											<option value="">-- Pilih --</option>
											<option value="Ya">Ya</option>
											<option value="Tidak">Tidak</option>
										</select>
									</div>
									<div class="form-group my-3 col-md-7">
										<label>No Model</label>
										<input type="text" name="print_no" class="form-control mt-1" placeholder="">
									</div>
									<div class="form-group my-3 col-md-7" hidden="">
										<label>Cad File</label>
										<input type="text" name="cad_file" class="form-control mt-1" placeholder="">
									</div>
									<div class="form-group my-3 col-md-7">
										<label>Gambar (Max 3 image & Max size 4 MB)</label>
										<input type="file" name="image[]" multiple="true" class="form-control mt-1 image" accept="image/*" placeholder="">
									</div>
									<table class="table table-row-bordered gy-5 gs-7">
										 <thead>
									        <tr class="fw-bold fs-6 text-gray-800">
									            <th class="min-w-100px">Source</th>
									            <th class="min-w-100px">Nama</th>
									            <th class="min-w-100px">Jumlah</th>
									            <th class="min-w-100px">Required to check</th>
									            <th class="min-w-50px">Aksi</th>
									        </tr>
									    </thead>
									    <tbody id="result-item-material">
									    	<tr class="list-item-material">
									    		<td>
									    			<select class="form-control" name="im_source[]">
									    				<option value="">-- Pilih --</option>
									    				<option value="Gudang Batu">Gudang Batu</option>
		                								<option value="Lainnya">Lainnya</option>
									    			</select>
									    		</td>
									    		<td><input type="text" name="im_name[]" class="form-control"></td>
									    		<td><input type="number" name="im_quantity[]" class="form-control"></td>
									    		<td class="checkbox-item-material">
									    			
												</td>
									    		<td class="button-item-material"><button type="button" class="btn btn-success btn-icon add-item-material"><i class="fa fa-plus"></i></button></td>
									    	</tr>
									    </tbody>
									</table>
									<button type="submit" class="btn btn-primary mt-3 button">Simpan</button>
								</form> 
							</div>
							<!--end: Card Body-->
						</div>
						<!--end: List Widget 5-->
					</div>
					<!--end::Col-->
				</div>
				<!--end::Row-->
			</div>
			<!--end::Container-->
		</div>
		<!--end::Post-->
	</div>
	<!--end::Content-->
<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="text/javascript">

	$(document).on('click', '.add-item-material', function(){

		$('.button-item-material').html('<button type="button" class="btn btn-danger btn-icon delete-item-material"><i class="fa fa-trash"></i></button>')

		$('#result-item-material').append(`<tr class="list-item-material">
									    		<td>
									    			<select class="form-control" name="im_source[]">
									    				<option value="">-- Pilih --</option>
									    				<option value="Gudang Batu">Gudang Batu</option>
		                								<option value="Lainnya">Lainnya</option>
									    			</select>
									    		</td>
									    		<td><input type="text" name="im_name[]" class="form-control"></td>
									    		<td><input type="number" name="im_quantity[]" class="form-control"></td>
									    		<td class="checkbox-item-material">
									    			
									    		</td>
									    		<td class="button-item-material"><button type="button" class="btn btn-success btn-icon add-item-material"><i class="fa fa-plus"></i></button></td>
									    	</tr>`);

	})

	$(document).on('click', '.delete-item-material', function(){
		if (confirm('Yakin Hapus ?')) {
			$(this).parents('.list-item-material').remove()
		}
	})

	$(document).on('change', 'select[name="im_source[]"]', function(){
		if ($(this).val() == 'Gudang Batu') {
			$(this).parents('.list-item-material').find('.checkbox-item-material').html(`<div class="form-check form-switch form-check-custom 
																				form-check-solid mx-4 border-custom">
																			    <input type="checkbox" disabled class="form-check-input" checked="" value="1" name="im_required_to_check[]">
																			</div>`);
		}else{
			$(this).parents('.list-item-material').find('.checkbox-item-material').html('');
		}
	})

</script>
<?= $this->endSection() ?>