<?php

/*
 | --------------------------------------------------------------------
 | App Namespace
 | --------------------------------------------------------------------
 |
 | This defines the default Namespace that is used throughout
 | CodeIgniter to refer to the Application directory. Change
 | this constant to change the namespace that all application
 | classes should use.
 |
 | NOTE: changing this will require manually modifying the
 | existing namespaces of App\* namespaced-classes.
 */
defined('APP_NAMESPACE') || define('APP_NAMESPACE', 'App');

/*
 | --------------------------------------------------------------------------
 | Composer Path
 | --------------------------------------------------------------------------
 |
 | The path that Composer's autoload file is expected to live. By default,
 | the vendor folder is in the Root directory, but you can customize that here.
 */
defined('COMPOSER_PATH') || define('COMPOSER_PATH', ROOTPATH . 'vendor/autoload.php');

/*
 |--------------------------------------------------------------------------
 | Timing Constants
 |--------------------------------------------------------------------------
 |
 | Provide simple ways to work with the myriad of PHP functions that
 | require information to be in seconds.
 */
defined('SECOND') || define('SECOND', 1);
defined('MINUTE') || define('MINUTE', 60);
defined('HOUR')   || define('HOUR', 3600);
defined('DAY')    || define('DAY', 86400);
defined('WEEK')   || define('WEEK', 604800);
defined('MONTH')  || define('MONTH', 2592000);
defined('YEAR')   || define('YEAR', 31536000);
defined('DECADE') || define('DECADE', 315360000);

/*
 | --------------------------------------------------------------------------
 | Exit Status Codes
 | --------------------------------------------------------------------------
 |
 | Used to indicate the conditions under which the script is exit()ing.
 | While there is no universal standard for error codes, there are some
 | broad conventions.  Three such conventions are mentioned below, for
 | those who wish to make use of them.  The CodeIgniter defaults were
 | chosen for the least overlap with these conventions, while still
 | leaving room for others to be defined in future versions and user
 | applications.
 |
 | The three main conventions used for determining exit status codes
 | are as follows:
 |
 |    Standard C/C++ Library (stdlibc):
 |       http://www.gnu.org/software/libc/manual/html_node/Exit-Status.html
 |       (This link also contains other GNU-specific conventions)
 |    BSD sysexits.h:
 |       http://www.gsp.com/cgi-bin/man.cgi?section=3&topic=sysexits
 |    Bash scripting:
 |       http://tldp.org/LDP/abs/html/exitcodes.html
 |
 */
defined('EXIT_SUCCESS')        || define('EXIT_SUCCESS', 0); // no errors
defined('EXIT_ERROR')          || define('EXIT_ERROR', 1); // generic error
defined('EXIT_CONFIG')         || define('EXIT_CONFIG', 3); // configuration error
defined('EXIT_UNKNOWN_FILE')   || define('EXIT_UNKNOWN_FILE', 4); // file not found
defined('EXIT_UNKNOWN_CLASS')  || define('EXIT_UNKNOWN_CLASS', 5); // unknown class
defined('EXIT_UNKNOWN_METHOD') || define('EXIT_UNKNOWN_METHOD', 6); // unknown class member
defined('EXIT_USER_INPUT')     || define('EXIT_USER_INPUT', 7); // invalid user input
defined('EXIT_DATABASE')       || define('EXIT_DATABASE', 8); // database error
defined('EXIT__AUTO_MIN')      || define('EXIT__AUTO_MIN', 9); // lowest automatically-assigned error code
defined('EXIT__AUTO_MAX')      || define('EXIT__AUTO_MAX', 125); // highest automatically-assigned error code

defined('endpoint')             || define('endpoint', 'http://localhost:8080');
defined('aws')                  || define('aws', 'https://skpnk.s3.ap-southeast-1.amazonaws.com');
defined('application_id')       || define('application_id', 'XFPVOJEPCFBQKLND');
defined('application_key')      || define('application_key', '1GwMUpnZKFLLUI0J2fY0oz4G0PwGZf0A');
defined('cookie_time')          || define('cookie_time', '7200');

defined('google_client_id')     || define('google_client_id', '950387705707-rr81587bk93os88op89i0vieh7919u0v.apps.googleusercontent.com');
defined('google_app_secret')    || define('google_app_secret', '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');

defined('application_name')     || define('application_name', 'Semar Production');
defined('company_fullname')     || define('company_fullname', 'Semar Production');
defined('company_shortname')    || define('company_shortname', 'Semar Production');
defined('GUDANG_BATU_URL_CREATE') || define('GUDANG_BATU_URL_CREATE', 'https://gudangbatu.semarnusantara.net/worker/material-out/create');
defined('GUDANG_BATU_URL_VALIDATE') || define('GUDANG_BATU_URL_VALIDATE', 'https://gudangbatu.semarnusantara.net/worker/material-out/validate');
defined('GUDANG_BATU_URL_DELETE') || define('GUDANG_BATU_URL_DELETE', 'https://gudangbatu.semarnusantara.net/worker/material-out/delete');

// defined('GUDANG_BATU_URL_CREATE') || define('GUDANG_BATU_URL_CREATE', 'http://localhost:8084/worker/material-out/create');
// defined('GUDANG_BATU_URL_VALIDATE') || define('GUDANG_BATU_URL_VALIDATE', 'http://localhost:8084/worker/material-out/validate');
// defined('GUDANG_BATU_URL_DELETE') || define('GUDANG_BATU_URL_DELETE', 'http://localhost:8084/worker/material-out/delete');
defined('GUDANG_BATU_TOKEN')   || define('GUDANG_BATU_TOKEN', 'OS_SEMARGUDANGBATU#1e5fd54b3e33fd2a1055d28d66bb0e357c8d48d9a0cc58cbca500c63f42b76d5#');