<?php

namespace Config;

use CodeIgniter\Config\BaseConfig;
use CodeIgniter\Filters\CSRF;
use CodeIgniter\Filters\DebugToolbar;
use CodeIgniter\Filters\Honeypot;

class Filters extends BaseConfig
{
	/**
	 * Configures aliases for Filter classes to
	 * make reading things nicer and simpler.
	 *
	 * @var array
	 */
	public $aliases = [
		'csrf'     => CSRF::class,
		'toolbar'  => DebugToolbar::class,
		'honeypot' => Honeypot::class,
		'authfilter' => \App\Filters\AuthFilter::class,
	];

	/**
	 * List of filter aliases that are always
	 * applied before and after every request.
	 *
	 * @var array
	 */
	public $globals = [
		'before' => [
			// 'honeypot',
			// 'csrf',
			'authfilter' => ['except' => [
				'auth','auth/*',
				'worker', 'worker/*',
			]
		  ]
		],
		'after'  => [
			'toolbar',
			'authfilter' => ['except' => [
					'dashboard', 'dashboard/*',
					'admin', 'admin/*',
					'adminrole', 'adminrole/*',
					'adminpermission', 'adminpermission/*',
					'tree', 'tree/*',
					'size', 'size/*',
					'gold-content', 'gold-content/*',
					'gold-type', 'gold-type/*',
					'category', 'category/*',
					'workflow', 'workflow/*',
					'item', 'item/*',
					'order', 'order/*',
					'customer', 'customer/*',
					'order-item', 'order-item/*',
					'batch', 'batch/*',
					'batch-item-task', 'batch-item-task/*',
					'batch-item-request', 'batch-item-request/*',
					'task', 'task/*',
					'report', 'report/*',
					'worker', 'worker/*',
					'batch-item-output', 'batch-item-output/*',
					'outgoing-note', 'outgoing-note/*',
					'outgoing-batch', 'outgoing-batch/*',
				]
			]
		],
	];

	/**
	 * List of filter aliases that works on a
	 * particular HTTP method (GET, POST, etc.).
	 *
	 * Example:
	 * 'post' => ['csrf', 'throttle']
	 *
	 * @var array
	 */
	public $methods = [];

	/**
	 * List of filter aliases that should run on any
	 * before or after URI patterns.
	 *
	 * Example:
	 * 'isLoggedIn' => ['before' => ['account/*', 'profiles/*']]
	 *
	 * @var array
	 */
	public $filters = [];
}
