<?php

namespace App\Libraries;

use Picqer;

class Barcode 
{

    public function generate( $string, $tipe ="HTML" )
    {
        
        switch($tipe)
        {
            case "HTML":
                $generator = new Picqer\Barcode\BarcodeGeneratorHTML();
                break;
            case "JPG":
                header('Content-type: image/jpeg');
                $generator = new Picqer\Barcode\BarcodeGeneratorJPG();
                break;
            case "PNG":
                $generator = new Picqer\Barcode\BarcodeGeneratorPNG();
                break;
            case "SVG":
                $generator = new Picqer\Barcode\BarcodeGeneratorSVG();
                break;
            default:
                $generator = new Picqer\Barcode\BarcodeGeneratorHTML();
        }
        
        $barcode   = $generator->getBarcode($string, $generator::TYPE_CODE_128);
        // return view("barcode", ["barcode" => $barcode, "text" => $string, "tipe" => $tipe]);
        return ["barcode" => $barcode, "text" => $string, "tipe" => $tipe];
    }

}