<?php namespace App\Models;

class BatchItemGroupNoteModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT bign_id as "id", bign_bi_id as "bi_id", bign_bit_group_note as "bit_group_note", bign_completed_quantity as "completed_quantity", bign_completed_weight as "completed_weight", bign_on_id as "on_id", bign_status as "status", bign_insert_at as "insert_at", bign_insert_admin_id as "insert_admin_id", bign_update_at as "update_at", bign_update_admin_id as "update_admin_id", order_note, batch_code, items.item_sku as "item_sku", items.item_id, items.item_name as "item_name", bi_id, customer_name, workflow_name ';

        $query .= ' FROM batch_item_group_notes 
                    INNER JOIN batch_items ON batch_items.bi_id=batch_item_group_notes.bign_bi_id
                    INNER JOIN batches ON batches.batch_id=batch_items.bi_batch_id 
                    INNER JOIN order_items ON order_items.oi_id=batch_items.bi_oi_id 
                    INNER JOIN orders ON orders.order_id=order_items.oi_order_id 
                    INNER JOIN items ON items.item_id=order_items.oi_item_id 
                    LEFT JOIN customers ON orders.order_customer_id=customers.customer_id
                    LEFT JOIN workflows ON workflows.workflow_id=items.item_workflow_id 
                    WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];
        else
            $query .= ' GROUP BY bign_id ';


        if(!empty($param['orderBy']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function getByID($bitID){
        $param = array(
            'where' => ' AND bign_id="'.$bitID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
    }


    public function addBatchItemGroupNote($data){
        $bit = $this->db->table('batch_item_group_notes');
        $bit->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function addBatchItemGroupNoteBulk($data){
        $bit = $this->db->table('batch_item_group_notes');
        $result = $bit->insert($data);
        return $result;
    }

    public function updateBatchItemGroupNote($data, $bitID){

        $this->db->table('batch_item_group_notes')->where('bign_id',$bitID)->update($data);
        $param = array(
            'where' => ' AND bign_id="'.$bitID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
    }

    public function deleteBatchItemGroupNote($bioID, $deleteAdminID ){
        $data = [
            'bign_delete_at'       => getCurrentTime(),
            'bign_delete_admin_id' => $deleteAdminID,
            'bign_active'          => 0
        ];

        $this->db->table('batch_item_group_notes')->where('bign_id',$bioID)->update($data);
        $param = array(
            'where' => ' AND bign_id="'.$bioID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

}