<?php namespace App\Models;

class CustomerModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT customer_id as "id", customer_type as "type", customer_name as "name", customer_address as "address", customer_code as "code", customer_bank as "bank", customer_bank_account_no as "bank_account_no", customer_bank_account_name as "bank_account_name", customer_email as "email", customer_phone as "phone", customer_insert_at as "insert_at" ';

        $query .= ' FROM customers
            WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' AND customer_active=1 ';

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];

        else
            $query .= ' GROUP BY customer_id ';


        if(!empty($param['orderBy']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function getByID($customerID){
        $customers = $this->db->table('customers');
        $customers->select('customer_id as "id", customer_type as "type", customer_name as "name", customer_address as "address", customer_code as "code", customer_bank as "bank", customer_bank_account_no as "bank_account_no", customer_bank_account_name as "bank_account_name", customer_email as "email", customer_phone as "phone", customer_insert_at as "insert_at" ');
        $customers->where('customer_id', $customerID);
        $customers->where('customer_active', 1);

        $result = $customers->get()->getRow();

        return $result;
    }

    public function getByCode($code){
        $param = array(
            'where' => ' AND customer_active="1" AND customer_code="'.$code.'" ',
        );
        $result = $this->getAll($param);
        
        return $result;
    }

    public function addCustomer($data){
        $customers = $this->db->table('customers');
        $customers->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function updateCustomer($data, $customerID){

        $this->db->table('customers')->where('customer_id',$customerID)->update($data);
        $param = array(
            'where' => ' AND customer_id="'.$customerID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

    public function deleteCustomer($customerID, $deleteAdminID ){
        $data = [
            'customer_delete_at'       => getCurrentTime(),
            'customer_delete_admin_id' => $deleteAdminID,
            'customer_active'          => 0
        ];

        $this->db->table('customers')->where('customer_id',$customerID)->update($data);
        $param = array(
            'where' => ' AND customer_id="'.$customerID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

}