<?php namespace App\Models;

class OutgoingNoteDetailModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT ond_id as "id", ond_on_id as "on_id", on_start_date, on_end_date, ond_bi_id as "bi_id", ond_bit_id as "bit_id", ond_name as "name", ond_quantity as "quantity", ond_weight as "weight", ond_insert_at as "insert_at", ond_insert_admin_id as "insert_admin_id", order_note, batch_code, item_sku, item_name, workflow_name, task_name, customer_name, bit_start_at, bit_end_at, on_task_id, on_notes, on_date, on_remark, on_total_quantity, on_total_weight, on_status, admin_fullname as "insert_admin_fullname", batch_item_tasks.bit_group_note as "group_note", ond_is_melt as "is_melt" ';

        $query .= ' FROM outgoing_note_details 
                    JOIN outgoing_notes ON outgoing_note_details.ond_on_id=outgoing_notes.on_id
                    LEFT JOIN batch_item_tasks ON batch_item_tasks.bit_id=outgoing_note_details.ond_bit_id 
                    LEFT JOIN batch_items ON batch_items.bi_id=outgoing_note_details.ond_bi_id
                    LEFT JOIN batches ON batches.batch_id=batch_items.bi_batch_id 
                    LEFT JOIN order_items ON order_items.oi_id=batch_items.bi_oi_id
                    LEFT JOIN items ON items.item_id=order_items.oi_item_id 
                    LEFT JOIN orders ON orders.order_id=order_items.oi_order_id 
                    LEFT JOIN tasks ON tasks.task_id=outgoing_notes.on_task_id

                    LEFT JOIN customers ON orders.order_customer_id=customers.customer_id
                    LEFT JOIN trees ON trees.tree_id=batch_items.bi_tree_id 
                    LEFT JOIN categories ON items.item_category_id=categories.category_id 
                    LEFT JOIN sizes ON items.item_size_id=sizes.size_id
                    LEFT JOIN gold_contents ON items.item_gc_id=gold_contents.gc_id 
                    LEFT JOIN gold_types ON items.item_gt_id=gold_types.gt_id 
                    LEFT JOIN workflows ON workflows.workflow_id=items.item_workflow_id 
                    LEFT JOIN workflow_tasks ON workflow_tasks.wt_workflow_id=workflows.workflow_id 

                    LEFT JOIN admins ON admins.admin_id=outgoing_notes.on_insert_admin_id
        WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' ';

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];
        else
            $query .= ' GROUP BY ond_id ';
        
        if(!empty($param['orderby']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function getCustom($param=array()){

        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT ond_id as "id", ond_on_id as "on_id", on_start_date, on_end_date, ond_bi_id as "bi_id", ond_bit_id as "bit_id", ond_name as "name", ond_quantity as "quantity", ond_weight as "weight", ond_insert_at as "insert_at", ond_insert_admin_id as "insert_admin_id" ';

        $query .= ' FROM outgoing_note_details 
                        JOIN outgoing_notes ON outgoing_note_details.ond_on_id=outgoing_notes.on_id
                    WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' ';

        if(@$param['groupby'] == '-')
            $query .= ' ';
        else if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];
        else
            $query .= ' GROUP BY ond_id ';
        
        if(!empty($param['orderby']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType']))
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

     public function getByNota($nota){        
        $param = array(
            'where' => ' AND ond_active="1" AND ond_note="'.$nota.'" ',
        );

        $result = $this->getAll($param);
        
        return $result;
    }

    public function getByID($outgoingNoteDetailID){

        $param['where'] = ' AND ond_id='.$outgoingNoteDetailID.' AND ond_active=1 ';

        $result = $this->getAll($param);

        return $result[0];
    }

    public function addOutgoingNoteDetail($data){
        $outgoingNoteDetail = $this->db->table('outgoing_note_details');
        $outgoingNoteDetail->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function addOutgoingNoteDetailBulk($data){
        $outgoingNoteDetail = $this->db->table('outgoing_note_details');
        $outgoingNoteDetail->insertBatch($data);

        return $data;
    }

    public function updateOutgoingNoteDetail($data, $outgoingNoteDetailID){

        $this->db->table('outgoing_note_details')->where('ond_id',$outgoingNoteDetailID)->update($data);
        $param = array(
            'where' => ' AND ond_id="'.$outgoingNoteDetailID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

}