<?php namespace App\Models;

class SizeModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT size_id as "id", size_code as "code", size_name as "name",  size_insert_at as "insert_at" ';

        $query .= ' FROM sizes
            WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' AND size_active=1 ';

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];

        else
            $query .= ' GROUP BY size_id ';


        if(!empty($param['orderBy']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function getByID($sizeID){
        $sizes = $this->db->table('sizes');
        $sizes->select('size_id as "id", size_code as "code", size_name as "name", size_insert_at as "insert_at" ');
        $sizes->where('size_id', $sizeID);
        $sizes->where('size_active', 1);

        $result = $sizes->get()->getRow();

        return $result;
    }

    public function getByCode($code){
        $param = array(
            'where' => ' AND size_active="1" AND size_code="'.$code.'" ',
        );
        $result = $this->getAll($param);
        
        return $result;
    }

    public function addSize($data){
        $sizes = $this->db->table('sizes');
        $sizes->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function updateSize($data, $sizeID){

        $this->db->table('sizes')->where('size_id',$sizeID)->update($data);
        $param = array(
            'where' => ' AND size_id="'.$sizeID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

    public function deleteSize($sizeID, $deleteAdminID ){
        $data = [
            'size_delete_at'       => getCurrentTime(),
            'size_delete_admin_id' => $deleteAdminID,
            'size_active'          => 0
        ];

        $this->db->table('sizes')->where('size_id',$sizeID)->update($data);
        $param = array(
            'where' => ' AND size_id="'.$sizeID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

}