<?php namespace App\Models;

class BatchItemTaskModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT bit_id as "id", bit_order as "order", bit_order as "order", bit_bi_id as "bi_id", bit_workflow_id as "workflow_id", bit_task_id as "task_id", bit_group_note as "group_note", bit_is_repaired as "is_repaired", bit_repaired_bit_id as "repaired_bit_id", bit_input_operator_name as "input_operator_name", bit_output_operator_name as "output_operator_name", bit_input_fields as "input_fields", bit_output_fields as "output_fields", bit_input_quantity as "input_quantity", bit_output_quantity as "output_quantity", bit_input_weight as "input_weight", bit_output_weight as "output_weight", bit_status_field as "status_field", bit_status as "status", bit_insert_at as "insert_at", bit_insert_admin_id as "insert_admin_id", bit_update_at as "update_at", bit_update_admin_id as "update_admin_id", items.item_sku as "item_sku", items.item_id, items.item_name as "item_name", order_items.oi_quantity as "quantity", order_items.oi_completed_quantity as "completed_quantity", task_name, workflow_name, batch_items.bi_batch_id as "batch_id", batch_code, SUM(batch_item_requests.bir_item_weight) as "sum_bir_item_quantity", batch_items.bi_oi_id as "oi_id", order_note, SUM(item_materials.im_quantity) as "sum_item_material" ';


        $query .= ' FROM batch_item_tasks 
                INNER JOIN batch_items ON batch_items.bi_id=batch_item_tasks.bit_bi_id 
                INNER JOIN batches ON batches.batch_id=batch_items.bi_batch_id 
                INNER JOIN order_items ON order_items.oi_id=batch_items.bi_oi_id 
                INNER JOIN orders ON orders.order_id=order_items.oi_order_id 
                INNER JOIN items ON items.item_id=order_items.oi_item_id 
                INNER JOIN tasks ON tasks.task_id=batch_item_tasks.bit_task_id
                INNER JOIN workflows ON workflows.workflow_id=batch_item_tasks.bit_workflow_id 
                LEFT JOIN batch_item_requests ON batch_item_requests.bir_bit_id=batch_item_tasks.bit_id 
                LEFT JOIN item_materials ON item_materials.im_item_id=items.item_id
                WHERE 1 
                AND batch_items.bi_active=1
                ';   

        if(!empty($param['where']))
            $query .= ' '.$param['where'];

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];
        else
            $query .= ' GROUP BY bit_id ';

        if(!empty($param['orderby']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function getByID($bitID){
        $bit = $this->db->table('batch_item_tasks');
        $bit->select('bit_id as "id", bit_code as "code", bit_name as "name", bit_insert_at as "insert_at" ');
        $bit->where('bit_id', $bitID);
        $bit->where('bit_active', 1);

        $result = $bit->get()->getRow();

        return $result;
    }

    public function getByCode($code){
        $param = array(
            'where' => ' AND bit_active="1" AND bit_code="'.$code.'" ',
        );
        $result = $this->getAll($param);
        
        return $result;
    }

    public function addBatchItemTask($data){
        $bit = $this->db->table('batch_item_tasks');
        $bit->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function addBatchItemTaskBulk($data){
        $bit = $this->db->table('batch_item_tasks');
        $result = $bit->insertBatch($data);
        return $result;
    }

    public function updateBatchItemTask($data, $bitID){

        $this->db->table('batch_item_tasks')->where('bit_id',$bitID)->update($data);
        $param = array(
            'where' => ' AND bit_id="'.$bitID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
    }

    public function deleteBatchItemTask($bitID, $deleteAdminID ){
        $data = [
            'bit_delete_at'       => getCurrentTime(),
            'bit_delete_admin_id' => $deleteAdminID,
            'bit_active'          => 0
        ];

        $this->db->table('batch_item_tasks')->where('bit_id',$bitID)->update($data);
        $param = array(
            'where' => ' AND bit_id="'.$bitID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

    // public function deleteBatchItemTaskByBatch($batchID, $deleteAdminID ){
    //     $data = [
    //         'bit_delete_at'       => getCurrentTime(),
    //         'bit_delete_admin_id' => $deleteAdminID,
    //         'bit_active'          => 0
    //     ];

    //     $batchItemData = $this->db->table('batch_items')->select('bi_id as "id" ')->where('bi_batch_id',$batchID)->get()->getResult();
    //     $batchItemArray = [];
    //     foreach ($batchItemData as $key => $value) {
    //         $batchItemArray[] = $value->id;
    //     }

    //     $result = true;

    //     if (!empty($batchItemArray)) {
    //         $this->db->table('batch_item_tasks')->whereIn('bit_bi_id',$batchItemArray)->update($data);
            
    //         $param = array(
    //             'where' => ' AND bit_bi_id IN ("'.implode(',', $batchItemArray).'") ',
    //         );
    //         $result = $this->getAll($param);
    //         if ($result)
    //             $result = $result[0];
    //     }


    //     return $result;
        
    // }

}