<?php namespace App\Models;

class OrderModel extends BaseModel
{
    public function __construct(){
        parent::__construct();
    }

    public function getAll($param=array()){
        if (!empty($param['select']))
            $query = 'SELECT '.$param["select"];
        else
            $query = 'SELECT order_id as "id", order_note as "note", customer_name as "customer_name", order_date as "date", order_due_date as "due_date", order_description as "description", order_status as "status", order_insert_at as "insert_at" ';

        $query .= ' FROM orders 
            LEFT JOIN customers ON customers.customer_id=orders.order_customer_id 
            WHERE 1 ';

        if(!empty($param['where']))
            $query .= ' '.$param['where'];
        else
            $query .= ' AND order_active=1 ';

        if(!empty($param['groupby']))
            $query .= ' GROUP BY '.$param['groupby'];

        else
            $query .= ' GROUP BY order_id ';


        if(!empty($param['orderby']))
            $query .= ' ORDER BY '.$param['orderby'];
        else
            $query .= ' ORDER BY 1 DESC';

        if(!empty($param['limit']))
            $query .= ' LIMIT '.$param['limit'];
        else
            $query .= '';

        if(!empty($param['resultType'])) 
            return $this->db->query($query);
        else
            return $this->db->query($query)->getResult();
    }

    public function setNota(){
        $query = "SELECT COALESCE(count(*),0) as 'total' FROM orders WHERE YEAR(order_date)='".date('Y')."' AND  MONTH(order_date)='".date('m')."' ";

        return $this->db->query($query)->getResult();
    }

     public function getByNota($nota){
        $param = array(
            'where' => ' AND order_active="1" AND order_note="'.$nota.'" ',
        );
        $result = $this->getAll($param);
        
        return $result;
    }

    public function getByID($orderID){

        $param['where'] = ' AND order_id='.$orderID.' AND order_active=1 ';

        $result = $this->getAll($param);

        return $result[0];
    }

    public function addOrder($data){
        $orders = $this->db->table('orders');
        $orders->insert($data);
        $result = $this->db->insertID();

        return $result;
    }

    public function addOrderBulk($data){
        $orders = $this->db->table('orders');
        $orders->insertBatch($data);

        return $data;
    }

    public function updateOrder($data, $orderID){

        $this->db->table('orders')->where('order_id',$orderID)->update($data);
        $param = array(
            'where' => ' AND order_id="'.$orderID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

    public function deleteOrder($orderID, $deleteAdminID ){
        $data = [
            'order_delete_at'       => getCurrentTime(),
            'order_delete_admin_id' => $deleteAdminID,
            'order_active'          => 0,
            'order_status'          => 'Deleted',
        ];

        $this->db->table('orders')->where('order_id',$orderID)->update($data);
        $param = array(
            'where' => ' AND order_id="'.$orderID.'" ',
        );
        $result = $this->getAll($param);
        if ($result)
            $result = $result[0];

        return $result;
        
    }

}