<?= $this->extend('common/main_admin_view') ?>

<?= $this->section('content') ?>
<!--begin::Content-->
	<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
		<!--begin::Toolbar-->
		<div class="toolbar" id="kt_toolbar">
			<!--begin::Container-->
			<div id="kt_toolbar_container" class="container-fluid d-flex flex-stack">
				<!--begin::Page title-->
				<div data-kt-swapper="true" data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_content_container', 'lg': '#kt_toolbar_container'}" class="page-title d-flex align-items-center flex-wrap me-3 mb-5 mb-lg-0">
					<!--begin::Title-->
					<h1 class="d-flex align-items-center text-dark fw-bolder my-1 fs-3"><?= @$title ?>
					<!--begin::Separator-->
					<span class="h-20px border-gray-200 border-start ms-3 mx-2"></span>
					<!--end::Separator-->
					<!--begin::Description-->
					<small class="text-muted fs-7 fw-bold my-1 ms-1">Tambah</small>
					<!--end::Description--></h1>
					<!--end::Title-->
				</div>
				<!--end::Page title-->
				<!--begin::Actions-->
				<div class="d-flex align-items-center py-1">
					<!--begin::Button-->
					<a href="<?= base_url() ?>/order" class="btn btn-sm btn-secondary" >Kembali</a>
					<!--end::Button-->
				</div>
				<!--end::Actions-->
			</div>
			<!--end::Container-->
		</div>
		<!--end::Toolbar-->
		<!--begin::Post-->
		<div class="post d-flex flex-column-fluid" id="kt_post">
			<!--begin::Container-->
			<div id="kt_content_container" class="container">
				<!--begin::Row-->
				<div class="row gy-5 g-xl-8">
					<!--begin::Col-->
					<div class="col-md-12">
						<!--begin::List Widget 5-->
						<div class="card mb-2">
							<div class="card-body">
								<form action="<?= base_url('outgoing-batch?act=batchItemData') ?>" class="submit-search">
									<div class="row">
										<div class="form-group my-3 col-md-4">
											<label>Dari Tanggal</label>
											<input type="date" name="from_date" class="form-control mt-1" placeholder=""/>
										</div>
										<div class="form-group my-3 col-md-4">
											<label>Sampai Tanggal</label>
											<input type="date" name="to_date" class="form-control mt-1" placeholder=""/>
										</div>
										<div class="form-group my-3 col-md-2">
											<label>&nbsp;</label>
											<button type="submit" class="btn btn-primary mt-1 form-control button-search">Search</button>
										</div>
										<div class="form-group my-3 col-md-2">
											<label>&nbsp;</label>
											<button type="button" class="btn btn-warning mt-1 form-control" onclick="exportExcel()"><i class="fa fa-print"></i> Cetak Excel</button>
										</div>
									</div>
								</form>
								</div>
								<!--end: Card Body-->
							</div>
							<form action="" class="submit2" enctype="multipart/form-data">
								<div class="row">
									<div class="col-md-6">
										<div class="card">
											<div class="card-body">
												<h5>Laporan Permintaan Bahan</h5>
												<table id="kt_datatable" class="table table-striped table-row-bordered gy-5 gs-7">
												    <thead>
												        <tr class="fw-bold fs-6 text-gray-800">
												            <th class="min-w-100px">Tanggal</th>
												            <th class="min-w-100px">Jumlah Order</th>
												            <th class="min-w-100px">Berat</th>
												        </tr>
												    </thead>
												    <tbody>
												    	
												    </tbody>
												</table>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="card">
											<div class="card-body">
												<h5>Laporan Hasil Produksi</h5>
												<table id="kt_datatable2" class="table table-striped table-row-bordered gy-5 gs-7">
												    <thead>
												        <tr class="fw-bold fs-6 text-gray-800">
												            <th class="min-w-100px">Tanggal</th>
												            <th class="min-w-100px">Kadar</th>
												            <th class="min-w-100px">Jumlah Barang</th>
												            <th class="min-w-100px">Berat</th>
												        </tr>
												    </thead>
												    <tbody>
												    	
												    </tbody>
												</table>
											</div>
										</div>
									</div>
								</div>
								

							</form> 
					</div>
					<!--end::Col-->
				</div>
				<!--end::Row-->
			</div>
			<!--end::Container-->
		</div>
		<!--end::Post-->
	</div>
	<!--end::Content-->

<?= $this->endSection() ?>

<?= $this->section('js') ?>
	<script type="text/javascript">

	$("#item-list").on('click', '.remove-item', function(e) {
        var yes = confirm('Are you sure delete this?');
        if (yes) {
            $(this).parents('.item-card').remove();
        } else {
            return false;
        }
    })


$(document).ready(function(){
	"use strict";

	// Class definition
	var KTDatatablesServerSide = function () {
    // Shared variables
    var table;
    var dt;

    // Private functions
    var initDatatable = function () {
    	$.fn.dataTable.ext.errMode = 'none';
        dt = $("#kt_datatable").on('error.dt', function ( e, settings, techNote, message ) {
       			console.log(message);
    		}).DataTable({
            responsive:false,
            // searchDelay: 500,
            processing: true,
            serverSide: false,
            ordering: false,
            paging: false,
            select: {
                style: 'os',
                selector: 'td:first-child',
                className: 'row-selected'
            },
            ajax: {
                url: "<?= base_url() ?>/report/production",
            },
            columns: [
                {data: 'date'},
                {data: 'quantity'},
                {data: 'weight'},
            ],
            "drawCallback": function (settings) { 
		        // Here the response
		        var response = settings.json;
		        console.log(response);
		    },
        });

        table = dt.$;

        // Re-init functions on every table re-draw -- more info: https://datatables.net/reference/event/draw
        dt.on('draw', function () {
            initToggleToolbar();
            toggleToolbars();
            KTMenu.createInstances();
        });
    }

    var handleSearchDatatable = function () {
        const filterSearch = document.querySelector('[data-kt-docs-table-filter="search"]');
        filterSearch.addEventListener('keyup', function (e) {
            dt.search(e.target.value).draw();
        });
    }

    // Init toggle toolbar
    var initToggleToolbar = function () {
        const container = document.querySelector('#kt_datatable');
        const checkboxes = container.querySelectorAll('[type="checkbox"]');

        // Toggle delete selected toolbar
        checkboxes.forEach(c => {
            // Checkbox on click event
            c.addEventListener('click', function () {
                setTimeout(function () {
                    toggleToolbars();
                }, 50);
            });
        });
    }

    // Toggle toolbars
    var toggleToolbars = function () {
        // Define variables
        const container = document.querySelector('#kt_datatable');
        const toolbarBase = document.querySelector('[data-kt-docs-table-toolbar="base"]');
        const toolbarSelected = document.querySelector('[data-kt-docs-table-toolbar="selected"]');
        const selectedCount = document.querySelector('[data-kt-docs-table-select="selected_count"]');

        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
            return new bootstrap.Tooltip(tooltipTriggerEl)
        })

    }

	    // Public methods
	    return {
	        init: function () {
	            initDatatable();
	            handleSearchDatatable();
	            initToggleToolbar();
	        }
	    }
	}();

	// On document ready
	KTUtil.onDOMContentLoaded(function () {
	    KTDatatablesServerSide.init();
	});
});

$(document).ready(function(){
	"use strict";

		// Class definition
		var KTDatatablesServerSide = function () {
	    // Shared variables
	    var table;
	    var dt;

	    // Private functions
	    var initDatatable = function () {
	        dt = $("#kt_datatable2").DataTable({
	            responsive:false,
	            // searchDelay: 500,
	            processing: true,
	            serverSide: true,
	            ordering: false,
	            paging: false,
	            select: {
	                style: 'os',
	                selector: 'td:first-child',
	                className: 'row-selected'
	            },
	            ajax: {
	                url: "<?= base_url() ?>/report/production?param=production2",
	            },
	            columns: [
	                {data: 'date'},
	                {data: 'content'},
	                {data: 'total_quantity'},
	                {data: 'total_weight'},
	            ],
	        });

	        table = dt.$;

	        // Re-init functions on every table re-draw -- more info: https://datatables.net/reference/event/draw
	        dt.on('draw', function () {
	            initToggleToolbar();
	            toggleToolbars();
	            KTMenu.createInstances();
	        });
	    }

	    var handleSearchDatatable = function () {
	        const filterSearch = document.querySelector('[data-kt-docs-table-filter="search"]');
	        filterSearch.addEventListener('keyup', function (e) {
	            dt.search(e.target.value).draw();
	        });
	    }

	    // Init toggle toolbar
	    var initToggleToolbar = function () {
	        const container = document.querySelector('#kt_datatable2');
	        const checkboxes = container.querySelectorAll('[type="checkbox"]');

	        // Toggle delete selected toolbar
	        checkboxes.forEach(c => {
	            // Checkbox on click event
	            c.addEventListener('click', function () {
	                setTimeout(function () {
	                    toggleToolbars();
	                }, 50);
	            });
	        });
	    }

	    // Toggle toolbars
	    var toggleToolbars = function () {
	        // Define variables
	        const container = document.querySelector('#kt_datatable2');
	        const toolbarBase = document.querySelector('[data-kt-docs-table-toolbar="base"]');
	        const toolbarSelected = document.querySelector('[data-kt-docs-table-toolbar="selected"]');
	        const selectedCount = document.querySelector('[data-kt-docs-table-select="selected_count"]');

	        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
	        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
	            return new bootstrap.Tooltip(tooltipTriggerEl)
	        })

	    }

	    // Public methods
	    return {
	        init: function () {
	            initDatatable();
	            handleSearchDatatable();
	            initToggleToolbar();
	        }
	    }
	}();

	// On document ready
	KTUtil.onDOMContentLoaded(function () {
	    KTDatatablesServerSide.init();
	});
});


$('.submit-search').submit(function(e){    
    e.preventDefault();

    var data = $(this).serialize();
    var btn = $('.button-search').html();

    var formDate = $('input[name="from_date"]').val();
    var toDate = $('input[name="to_date"]').val();

    var html_alert = ''
    if (formDate == '') {
    	html_alert += '<li>Dari Tanggal harus diisi</li>';
    }

    if (toDate == '') {
    	html_alert += '<li>Sampai Tanggal harus diisi</li>';
    }
    
    if (html_alert != '') {
    	return alertToastr('error', `<div class="errors" role="alert">
								<ul>
									${html_alert}
								</ul>
							</div>`)
    }

    const delay = ms => new Promise(res => setTimeout(res, ms));

    const loadSearchStudent = async () => {
        $('.button-search').attr('data-kt-indicator', 'on');
        $('.button-search').attr('disabled', '');
        $('.button-search').html('<span class="indicator-progress">\
        Please wait... <span class="spinner-border spinner-border-sm align-middle ms-2"></span>\
        </span>');
        await delay(1000);

        $('#kt_datatable').DataTable().ajax.url("<?= base_url() ?>/report/production?"+data).load();
        $('#kt_datatable2').DataTable().ajax.url("<?= base_url() ?>/report/production?param=production2&"+data).load();

        await delay(1000);

        $('.button-search').removeAttr('disabled', '');
        $('.button-search').removeAttr('data-kt-indicator');
        $('.button-search').html(btn);
    }

    loadSearchStudent()
    
  });

function exportExcel(){
	let data = $('.submit-search').serialize();

	window.open('<?= base_url() ?>/report/production?export-excel=true&'+data, 'blank');
}

</script>
<?= $this->endSection() ?>